<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/clock_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/05/82  clock_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in clock_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: clock_:  01/28/82  clock_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: reads the system clock and returns a fixed binary number
<span id="L12" class="LineNr">12 </span>equal to the number of microseconds since 0000 hours Greenwich mean
<span id="L13" class="LineNr">13 </span>time January 1, 1901.  The returned time is suitable for input to the
<span id="L14" class="LineNr">14 </span>date_time_ or decode_clock_value_ subroutines, which convert the clock
<span id="L15" class="LineNr">15 </span>reading to an ASCII representation.
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>Syntax:
<span id="L19" class="LineNr">19 </span>declare clock_ entry returns <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L20" class="LineNr">20 </span>date_time = clock_ <span class="textRainbow_lv0_p0">()</span>;
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>Arguments:
<span id="L24" class="LineNr">24 </span>date_time
<span id="L25" class="LineNr">25 </span>   is the number of microseconds since January 1, 1901, 0000 hours
<span id="L26" class="LineNr">26 </span>   Greenwich mean time.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L27" class="LineNr">27 </span>
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>Notes:  The clock PL/I builtin function should be used in PL/I programs
<span id="L30" class="LineNr">30 </span>instead of this subroutine, because it is more efficient.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
